Subscribe to a Webhook

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

By subscribing to a particular type of webhook, the type of event being passed will dictate the specific webhooks that will be dispatched.

The webhooks will be delivered to the URL specified in the payload_url field. The delivery of the webhook will be carried out using an HTTP POST request, where the webhook JSON object will be included in the request body.

This subscription request contains the following attributes within its body:

Body Params
string
required
string
required
string
required
Defaults to all_events

token_assigned, test_completed, suspected_test, result_updated, overall_updated, result_released

string

Use one of the following authorization types: Basic Auth, Bearer Token, X-Api-Key or API Key etc.

string

API Key is required for authorization if 'auth_type' is not provided.

string

Only runs when the 'test_completed' event is triggered. The test taker is redirected to a specific URL that is provided once the test is completed.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json